Saltar al contenido
Esc
↑↓navegar↵abrir⌘Jvista previa

Add a suppression

POST/suppressions
Autorización
AuthorizationToken Bearer · headerobligatorio

A BillionSend API key (bs_…).

Cuerpo de la solicitud
obligatorioapplication/json
emailstring<email>obligatorio

Bare email address to block; stored normalized (lowercase)

originstring

Origin recorded on rows this request creates (default manual): bounce, complaint or manual; an address already suppressed keeps its origin

Valores permitidos:bouncecomplaintmanual
Respuestas
200

Address blocked with the given origin (bounce, complaint or manual; default manual). Idempotent: an address already suppressed keeps its entry and origin and its existing id is returned.

objectstringobligatorio
Valores permitidos:suppression
idstring<uuid>obligatorio
401

Missing, malformed, unknown or revoked API key

statusCodenumberobligatorio
namestringobligatorio
messagestringobligatorio
422

Validation error

statusCodenumberobligatorio
namestringobligatorio
messagestringobligatorio
429

Over the rate limit (rate_limit_exceeded, with Retry-After)

statusCodenumberobligatorio
namestringobligatorio
messagestringobligatorio
Pruébalo
Servidor
Autorización
Cuerpoapplication/json
Solicitud
curl -X POST 'https://api.billionsend.com/suppressions' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "email": "user@example.com",
  "origin": "bounce"
}'
Respuesta
{
  "object": "suppression",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}

¿Te ha resultado útil esta página?